星座运势

GETPOST 生活服务

查询12星座今日详细运势(综合/爱情/事业/财富/健康),含幸运颜色、幸运数字、速配星座

GET https://api.tinyaii.cn/v1/zodiac

请求参数

参数名类型必填说明示例
signstring可选星座名称(如 白羊座/aries),不传返回全部12星座白羊座

返回字段

字段类型说明
signstring星座名
en_namestring英文名
date_rangestring日期范围
fortune.overallobject综合运势(星级+描述)
fortune.loveobject爱情运势
fortune.careerobject事业运势
fortune.wealthobject财富运势
fortune.healthobject健康运势
fortune.lucky_colorstring幸运颜色
fortune.lucky_numberstring幸运数字
fortune.best_matchstring速配星座
fortune.short_commentstring短评

返回示例

{
  "code": 200,
  "message": "success",
  "data": {
    "sign": "白羊座",
    "en_name": "aries",
    "date_range": "3.21-4.19",
    "fortune": {
      "overall": {
        "stars": 3,
        "detail": "今日整体运势呈小吉态势..."
      },
      "love": {
        "stars": 3,
        "detail": "..."
      },
      "career": {
        "stars": 4,
        "detail": "..."
      },
      "wealth": {
        "stars": 2,
        "detail": "..."
      },
      "health": {
        "stars": 0,
        "detail": "..."
      },
      "health_index": "71%",
      "business_index": "77%",
      "lucky_color": "草绿",
      "lucky_number": "33",
      "best_match": "摩羯座",
      "short_comment": "细化目标规划"
    }
  }
}

调用示例

curl "https://api.tinyaii.cn/v1/zodiac?sign=白羊座" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/zodiac?sign=白羊座", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/zodiac",
    params={"sign": "白羊座"},
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。